play.server

## Class PlayHandler.NettyInvocation

- java.lang.Object
- - play.Invoker.Invocation
  - - play.server.PlayHandler.NettyInvocation

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    PlayHandler

      public class PlayHandler.NettyInvocation
      extends Invoker.Invocation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NettyInvocation(Http.Request request, Http.Response response, org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest, org.jboss.netty.channel.MessageEvent e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Override this method
    `Invoker.InvocationContext` | `getInvocationContext()`
    `boolean` | `init()` Init the call (especially useful in DEV mode to detect changes)
    `void` | `onSuccess()` Things to do when the whole invocation has succeeded (before + execute + after)
    `void` | `run()` It's time to execute.

    - ### Methods inherited from class play.Invoker.Invocation

      `_finally, after, before, onException, preInit, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NettyInvocation

          public NettyInvocation(Http.Request request,
                                 Http.Response response,
                                 org.jboss.netty.channel.ChannelHandlerContext ctx,
                                 org.jboss.netty.handler.codec.http.HttpRequest nettyRequest,
                                 org.jboss.netty.channel.MessageEvent e)

  - ### Method Detail

    - #### init

          public boolean init()

      Description copied from class: `Invoker.Invocation`
      Init the call (especially useful in DEV mode to detect changes)
      Overrides:
        `init` in class `Invoker.Invocation`
      Returns:
        true if successful

    - #### getInvocationContext

          public Invoker.InvocationContext getInvocationContext()

      Specified by:
        `getInvocationContext` in class `Invoker.Invocation`

    - #### run

          public void run()

      Description copied from class: `Invoker.Invocation`
      It's time to execute.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `Invoker.Invocation`

    - #### execute

          public void execute()
                       throws java.lang.Exception

      Description copied from class: `Invoker.Invocation`
      Override this method
      Specified by:
        `execute` in class `Invoker.Invocation`
      Throws:
        `java.lang.Exception` - Thrown if Invocation encounters any problems

    - #### onSuccess

          public void onSuccess()
                         throws java.lang.Exception

      Description copied from class: `Invoker.Invocation`
      Things to do when the whole invocation has succeeded (before + execute + after)
      Overrides:
        `onSuccess` in class `Invoker.Invocation`
      Throws:
        `java.lang.Exception` - Thrown if Invoker encounters any problems

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly